- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoSelectOneFromPopAndArch< EOT > Class Template Reference

Elitist selection process that consists in choosing individuals in the archive as well as in the current population. More...

`#include <moeoSelectOneFromPopAndArch.h>`

List of all members.

## Public Member Functions
| moeoSelectOneFromPopAndArch (eoSelectOne< EOT > &_popSelectOne, eoSelectOne< EOT > _archSelectOne, moeoArchive< EOT > &_arch, double _ratioFromPop=0.5)
| Ctor.
| moeoSelectOneFromPopAndArch (eoSelectOne< EOT > &_popSelectOne, moeoArchive< EOT > &_arch, double _ratioFromPop=0.5)
| Ctor - the archive's selection operator is a random selector.
virtual const EOT & | operator() (const eoPop< EOT > &pop)
| The selection process.
virtual void | setup (const eoPop< EOT > &_pop)
| Setups some population stats.
## Private Attributes
eoSelectOne< EOT > & | popSelectOne
| The population's selection operator.
eoSelectOne< EOT > & | archSelectOne
| The archive's selection operator.
moeoArchive< EOT > & | arch
| the archive
double | ratioFromPop
| the ratio of selected individuals from the population
eoRandomSelect< EOT > | randomSelect
| the random selection operator

## Detailed Description

### template<class EOT>
class moeoSelectOneFromPopAndArch< EOT >

Elitist selection process that consists in choosing individuals in the archive as well as in the current population.

Definition at line 25 of file moeoSelectOneFromPopAndArch.h.

## Constructor & Destructor Documentation

template<class EOT>

moeoSelectOneFromPopAndArch< EOT >::moeoSelectOneFromPopAndArch | ( | eoSelectOne< EOT > & | _popSelectOne,
|  | eoSelectOne< EOT > | _archSelectOne,
|  | moeoArchive< EOT > & | _arch,
|  | double | _ratioFromPop = `0.5` |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _popSelectOne | the population's selection operator
  | _archSelectOne | the archive's selection operator
  | _arch | the archive
  | _ratioFromPop | the ratio of selected individuals from the population

Definition at line 37 of file moeoSelectOneFromPopAndArch.h.

template<class EOT>

moeoSelectOneFromPopAndArch< EOT >::moeoSelectOneFromPopAndArch | ( | eoSelectOne< EOT > & | _popSelectOne,
|  | moeoArchive< EOT > & | _arch,
|  | double | _ratioFromPop = `0.5` |
| ) |  |  | `[inline]`

Ctor - the archive's selection operator is a random selector.

Parameters:

  | _popSelectOne | the population's selection operator
  | _arch | the archive
  | _ratioFromPop | the ratio of selected individuals from the population

Definition at line 49 of file moeoSelectOneFromPopAndArch.h.

The documentation for this class was generated from the following file:

- moeoSelectOneFromPopAndArch.h